Skip to main content
POST
/
api
/
campaigns
/
{id}
/
leads
curl --request POST \
  --url https://app.tuco.ai/api/campaigns/{id}/leads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "leadId": "69b2c41d352a78479d2c623b"
}
'
{
  "success": true,
  "leadId": "69b2c41d352a78479d2c623b",
  "campaignId": "69ab444ac1feb77d7f46462f",
  "messageCount": 0,
  "message": "Lead already in campaign (re-entry not allowed).",
  "alreadyInCampaign": true,
  "existingLeadIds": [
    "69b2c41d352a78479d2c623b"
  ],
  "ghlContactId": "aMUQn0u0Z7cw0NQ7tJ5R",
  "ghlLocationId": "eL7DD22BdZ0rismu7qCA"
}

Authorizations

Authorization
string
header
required

Workspace API key: Authorization: Bearer tuco_sk_xxxxxxxxxxxxx

Path Parameters

id
string
required

Campaign ID

Body

application/json
leadId
string

Existing lead ID

lead
object

Create new lead and add

Response

Lead already in campaign

success
boolean
leadId
string
campaignId
string
messageCount
integer
message
string
alreadyInCampaign
boolean
existingLeadIds
string[]
ghlContactId
string | null
ghlLocationId
string | null
hsPortalId
string | null
hsContactId
string | null